[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.IsProcessingPaintMsg

True while painting the control.

## Declaration

Source position: controls.pp line 1717

`public function TControl.IsProcessingPaintMsg: Boolean;`

## Function result

True when the control flags contain a value for paint methods.

## Description

As the name implies, the cfProcessingWMPaint flag in FControlFlags is set while a LM_PAINT message is processed, and IsProcessingPaintMsg checks this flag.